# Update Project

## Description

Update a project that was previously submitted to Prodege

## Request URL

_Prodege Base URL +_/project-update

## Request Method

POST

## Request Parameters

| Parameter Name            | Parameter Type | Description                                                                                                                                                           | Required? |
|---------------------------|----------------|-----------------------------------------------------------------------------------------------------------------------------------------------------------------------|-----------|
| apik                      | String         | Your API Key.                                                                                                                                                        | Yes       |
| request_date              | Numeric        | Timestamp in milliseconds (see [Authentication](https://developer.prodege.com/demand/authentication)).                                                                | Yes       |
| signature                 | String         | The signature of your request (see [Authentication](https://developer.prodege.com/demand/authentication)).                                                            | Yes       |
| prodege_project_id        | Numeric        | The ID that uniquely identifies this project in the Prodege system.                                                                                                | Yes       |
| reference_id              | String         | Your PO Number.                                                                                                                                                     | No        |
| project_name              | String         | The descriptive name for this project.                                                                                                                             | No        |
| sample_size               | Numeric        | The total number of completes requested for this project.                                                                                                          | No        |
| loi                       | Numeric        | The expected length of interview for this project.                                                                                                                  | No        |
| expected_ir               | Numeric        | Expected incidence rate %.                                                                                                                                          | No        |
| project_language_ids      | Array          | Array of ids that uniquely identify the project’s supported languages. (see [Lookup Languages](https://developer.prodege.com/demand/api-reference/lookup-calls/lookup-languages)). Example: ["1","2","3"] | No        |
| project_url               | String         | The survey entry link for live panelists. If present, a %transid% placeholder is required in your survey link for appropriate tracking and redirection from your survey. | No        |
| test_survey_url           | String         | The survey entry link for test transactions (see [Test Project URL](https://developer.prodege.com/demand/test-project-url)). A %transid% placeholder is required.   | No        |
| estimated_start           | String (ff format: MM/DD/YYYY) | The estimated date that the project will start fielding. Note: this is just for informational purposes and will not automatically start/stop sampling.               | No        |
| estimated_end             | String (ff format: MM/DD/YYYY) | The estimated date that the project will end fielding. Note: this is just for informational purposes and will not automatically start/stop sampling.                  | No        |
| cpi                       | Numeric        | Cost per completed interview.                                                                                                                                      | No        |
| status                    | String         | The current status of the project. Possible values include: PENDING, LIVE, PAUSED, COMPLETE.                                                                        | No        |
| mobile_optimized          | String         | Whether or not the project is optimized for mobile devices. Either “true” or “false”, true by default.                                                              | No        |
| allow_multi_entries       | String         | Allow multiple entries for the same panelist until a status (e.g. Success, DQ, OQ) is reached. Either “true” or “false”, false by default.                          | No        |
| buyer_name                | String         | The name of the buyer purchasing survey completes.                                                                                                                  | No        |
| max_cpi                   | Numeric        | The maximum allowable price per complete for the project (for use only when Real Time Pricing is enabled).                                                           | No        |
| notes                     | String         | Optional notes about the project.                                                                                                                                  | No        |

## Response Parameters

| Parameter Name            | Parameter Type | Description                                                  |
|---------------------------|----------------|--------------------------------------------------------------|
| _return_status_           | String         | The return status for this api call.                         |
| prodege_project_id        | Numeric        | The id that uniquely identifies this project.                 |
| cpi                       | Numeric        | The current price per complete for the project.              |

_Last updated 8 months ago_
